LibreOffice: XSessionManagerListener Interface Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XSessionManagerListener Interface Reference

`import"XSessionManagerListener.idl";`

Inheritance diagram for XSessionManagerListener:

## Public Member Functions
void | doSave ([in] boolean bShutdown, [in] boolean bCancelable)
| doSave gets called when a save event was issued by the session manager the listener should do what is necessary to restore the current state of the application More...
void | approveInteraction ([in] boolean bInteractionGranted)
| approveInteraction is called when an outstanding interaction request was processed by the session manager More...
void | shutdownCanceled ()
| shutdownCanceled is called when a shutdown was canceled by the user The listener can cancel his saving operations. More...
boolean | doRestore ()
| returns true, if a session was restored More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ approveInteraction()

void approveInteraction | ( | [in] boolean | bInteractionGranted | ) |

approveInteraction is called when an outstanding interaction request was processed by the session manager

Parameters

  bInteractionGranted | If `FALSE` the listener must not interact with the user. If `TRUE` the listener can interact with the user now. After interaction the listener must call XSessionManagerClient::interactionDone() on the session manager client service object.

See also
  XSessionManagerClient
  XSessionManagerClient::interactionDone()

## ◆ doRestore()

boolean doRestore | ( |  | ) |

returns true, if a session was restored

## ◆ doSave()

void doSave | ( | [in] boolean | bShutdown,
|  | [in] boolean | bCancelable
| ) |  |

doSave gets called when a save event was issued by the session manager the listener should do what is necessary to restore the current state of the application

If the listener desires to interact with the user it must first issue a user interaction request and only do so if interaction was granted

When the save request is processed (with or without user interaction) the listener must call XSessionManagerClient::saveDone() on the session manager client service object.

Parameters

  bShutdown | `TRUE` if a shutdown is in progress, `FALSE` if just a save point was requested
  bCancelable | `TRUE` if a shutdown in progress can be canceled by the listener, `FALSE` else

the listener may choose to ignore the saveDone() event in case no real shutdown is in progress. He still has to call XSessionManagerClient::saveDone() in that case.

See also
  XSessionManagerClient
  XSessionManagerClient::saveDone()

## ◆ shutdownCanceled()

void shutdownCanceled | ( |  | ) |

shutdownCanceled is called when a shutdown was canceled by the user The listener can cancel his saving operations.

No further interaction is necessary and further calls on the session manager client service object will be ignored.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XSessionManagerListener.idl